      ******************************************************************
      **                                                              **
      **  Program name:  CMQPMOV                                      **
      **                                                              **
      **  Description:   This file declares the MQPMO structure,      **
      **                 which is part of IBM Message Queue Interface **
      **                 (MQI) in the Windows NT environment.         **
      **                                                              **
      ** Licensed Materials - Property of IBM                         **
      ** 63H9336                                                      **
      ** (C) Copyright IBM Corp. 1994,1996.                           **
      **                                                              **
      **  Status:        Version 2 Release 0                          **
      **                                                              **
      ******************************************************************

      **   MQPMO structure
        10 MQPMO.
      **    Structure identifier
         15 MQPMO-STRUCID          PIC X(4) VALUE 'PMO '.
      **    Structure version number
         15 MQPMO-VERSION          PIC S9(9) BINARY VALUE 1.
      **    Options that control the action of MQPUT or MQPUT1
         15 MQPMO-OPTIONS          PIC S9(9) BINARY VALUE 0.
      **    Reserved
         15 MQPMO-TIMEOUT          PIC S9(9) BINARY VALUE -1.
      **    Object handle of input queue
         15 MQPMO-CONTEXT          PIC S9(9) BINARY VALUE 0.
      **    Reserved
         15 MQPMO-KNOWNDESTCOUNT   PIC S9(9) BINARY VALUE 0.
      **    Reserved
         15 MQPMO-UNKNOWNDESTCOUNT PIC S9(9) BINARY VALUE 0.
      **    Reserved
         15 MQPMO-INVALIDDESTCOUNT PIC S9(9) BINARY VALUE 0.
      **    Resolved name of destination queue
         15 MQPMO-RESOLVEDQNAME    PIC X(48) VALUE SPACES.
      **    Resolved name of destination queue manager
         15 MQPMO-RESOLVEDQMGRNAME PIC X(48) VALUE SPACES.

